Name:		log4c
Version:	1.2.1
Release:	5%{?dist}
Summary:	Library for logging application messages

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://log4c.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	expat-devel

%description
Log4c is a C language library for flexible logging to files, syslog and other 
destinations. It is modeled after the Log for Java library (log4j), 
staying as close to their API as is reasonable.

%package devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	automake

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# example config file below shouldn't live in /etc/
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
mv %{buildroot}/etc/log4crc.sample %{buildroot}/usr/share/doc/%{name}-%{version}/
rm %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README log4crc.sample
%{_libdir}/liblog4c.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/liblog4c.so
%{_bindir}/*
%{_includedir}/*
%{_datadir}/aclocal/log4c.m4

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-3
- depend on automake for the m4 macro
- import into Fedora

* Mon Jan 26 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-2
- new build-dep on expat for better config file parsing
- tidy source0 and use of macros
- .la files are removed after the build

* Tue Jan 13 2009 Alex Hudson <fedora@alexhudson.com> - 1.2.1-1
- Initial packaging attempt
